## org.eclipse.emf.ocl.expressions
Interface MessageExp

All Superinterfaces:
  ASTNode, CallingASTNode, EModelElement, ENamedElement, EObject, Notifier, OCLExpression, TypedElement, Visitable

All Known Implementing Classes:
  MessageExpImpl

Deprecated. Use the `MessageExp` interface, instead.

    @Deprecated
    public interface MessageExp

extends OCLExpression, CallingASTNode

Field Summary
`static String` `copyright` Deprecated.

Method Summary
`EList` `getArgument()` Deprecated. Returns the value of the 'Argument' containment reference list.
`CallOperationAction` `getCalledOperation()` Deprecated.
`SendSignalAction` `getSentSignal()` Deprecated.
`OCLExpression` `getTarget()` Deprecated.
`void` `setCalledOperation(CallOperationAction value)` Deprecated.
`void` `setSentSignal(SendSignalAction value)` Deprecated.
`void` `setTarget(OCLExpression value)` Deprecated.

Methods inherited from interface org.eclipse.emf.ocl.uml.TypedElement
`getType, setType`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ocl.utilities.Visitable
`accept`

Methods inherited from interface org.eclipse.emf.ocl.utilities.ASTNode
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Methods inherited from interface org.eclipse.emf.ocl.utilities.CallingASTNode
`getPropertyEndPosition, getPropertyStartPosition, setPropertyEndPosition, setPropertyStartPosition`

Methods inherited from interface org.eclipse.emf.ocl.utilities.ASTNode
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Field Detail

### copyright

    static final String copyright

  Deprecated.

  See Also:
    Constant Field Values

Method Detail

### getTarget

    OCLExpression getTarget()

  Deprecated.

### setTarget

    void setTarget(OCLExpression value)

  Deprecated.

### getArgument

    EList getArgument()

  Deprecated.
  Returns the value of the 'Argument' containment reference list. The list contents are of type `OCLExpression`.

  If the meaning of the 'Argument' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Argument' containment reference list.
  See Also:
    `ExpressionsPackage.getMessageExp_Argument()`

### getCalledOperation

    CallOperationAction getCalledOperation()

  Deprecated.

### setCalledOperation

    void setCalledOperation(CallOperationAction value)

  Deprecated.

### getSentSignal

    SendSignalAction getSentSignal()

  Deprecated.

### setSentSignal

    void setSentSignal(SendSignalAction value)

  Deprecated.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.